Skip to main content
GET
/
v1
/
api-keys
List API keys
curl --request GET \
  --url https://api.getsly.ai/v1/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "prefix": "<string>",
      "environment": "test",
      "scopes": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

environment
enum<string>
Available options:
test,
live
include_revoked
enum<string>
Available options:
true,
false

Response

200 - application/json

API keys

data
object[]
required